controllers/MarcadoresController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Marcadores;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * MarcadoresController implements the CRUD actions for Marcadores model.
 */
class MarcadoresController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['GET'],
                ],
            ],
        ];
    }

    /**
     * Lists all Marcadores models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Marcadores::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Marcadores model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Marcadores model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Marcadores();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Marcadores model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Marcadores model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Marcadores model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Marcadores the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Marcadores::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
    public function actionPublicos($id=null){
        $datos= Marcadores::findOne($id);
        $dataProvider=new ActiveDataProvider([
            "query"=> Marcadores::find()
                        ->where(["tipo"=>"publicos"])
        ]);
        
        return $this->render("publicos",[
            "dataProvider"=>$dataProvider,
            "datos"=>$datos
        ]);
    }
    public function actionPrivados($id=null){
        $datos= Marcadores::findOne($id);
         $dataProvider=new ActiveDataProvider([
            "query"=> Marcadores::find()
            
        ]);
        
        return $this->render("privados",[
            "dataProvider"=>$dataProvider,
            "datos"=>$datos
        ]);
    }
    
    public function actionAdmin(){
         $dataProvider=new ActiveDataProvider([
            "query"=> Marcadores::find()
            
        ]);
        return $this->render("admin",[
            "dataProvider"=>$dataProvider
        ]);
    }
    public function actionPrueba($id){
        return $this->render("prueba",[
            "id"=>$id
        ]);
    }
    
   
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
    <head>
        <meta charset="<?= Yii::$app->charset ?>">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <?= Html::csrfMetaTags() ?>
        <title><?= Html::encode($this->title) ?></title>
        <?php $this->head() ?>
    </head>
    <body>
        <?php $this->beginBody() ?>

        <div class="wrap">
            <?php
            NavBar::begin([
                'brandLabel' => Yii::$app->name,
                'brandUrl' => Yii::$app->homeUrl,
                'options' => [
                    'class' => 'navbar-inverse navbar-fixed-top',
                ],
            ]);
            echo Nav::widget([
                'options' => ['class' => 'navbar-nav navbar-right'],
                'items' => [
                    ['label' => 'Públicos', 'url' => ['/marcadores/publicos']],
                    ['label' => 'Privados', 'url' => ['/marcadores/privados']],
                    ['label' => 'Admin', 'url' => ['/marcadores/admin']],
                    
                ],
            ]);
            NavBar::end();
            ?>
            
<div class="menu">
            <ul class="nav nav-pills nav-justified">
                <li><?= Html::a('Publicos', ['marcadores/publicos',], ['class' => 'profile-link']) ?></li>
                <li><?= Html::a('Privados', ['marcadores/privados',], ['class' => 'profile-link']) ?></li>
                <li><?= Html::a('Admin', ['marcadores/admin',], ['class' => 'profile-link']) ?></li>
            </ul>
        </div> 
        

        <div class="container">
<?=
Breadcrumbs::widget([
    'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
])
?>
            <?= Alert::widget() ?>
            <?= $content ?>
        </div>


        <footer class="footer">
            <div class="container">
                <p class="pull-left">Cristina Galán <?= date('Y') ?></p>

                <p class="pull-right"><?= Yii::powered() ?></p>
            </div>
        </footer>
        </div>

        <?php $this->endBody() ?>
    </body>
</html>
<?php $this->endPage() ?>